# Macro defintions used by the cdbs makefiles
#
# History:
# 04/20/06  MSwam   point to sybase 12.5
#-----------------------------------------------------------------------

#-- Tne following macros are system and configuration dependent------

# Src directory layout
SOURCES = cdbslib certify checkload expload getobsmode getref loadfile \
loopfits mkcomptab mkload query syndemo uniqname
TASKS = certify expload getref loopfits mkcomptab mkload query uniqname
LIBRARIES = cdbslib loadfile

# Directory and url locations
CDBSDIR	= /store/smalls/cdbs/
SDAS_BIN = $(STSDASDISK)/bin/
TABLES_BIN = $(TABLESDISK)/bin/

USECGI = no
CGIDIR = /project/ra3/httpd/cgi-bin/
CGIURL = http://ra.stsci.edu/cgi-bin/

# Name of compiler and compilation flags
CC = gcc
CFLAGS = $(INC) -g
LFLAGS = -t -g
INC = -I../../include -I$(STSDASLIB) -I$(OSTDB)/include

#--End of system dependent macros-------------------------------------

# Location and name of executable and libraries

BIN = ../../bin
LIBDIR = ../../lib

#Database macros
OSTDB=/usr/local/ostdb/ostdb1_8e
SYBASE=/usr/local/syb_12.5

# SDAS and IRAF library locations

STSDASLIB = /usr/stsci/stsdas/lib/
TABLESLIB = /usr/stsci/tables/lib/
IRAFLIB = /usr/stsci/iraf/lib/
IRAFHLIB = /usr/stsci/iraf/unix/hlib/

# Library definitions

CDBSLIBS = $(LIBDIR)/cdbslib.a $(LIBDIR)/loadfile.a

IRAFLIBS = $(STSDASLIB)libcvos.a \
	   $(TABLESLIB)libtbtables.a \
	   $(IRAFLIB)libex.a \
	   $(IRAFLIB)libsys.a \
	   $(IRAFLIB)libvops.a \
	   $(IRAFHLIB)libos.a

STDBLIBS = $(OSTDB)/lib/libostdb_sparc_solaris_c.a \
	   $(SYBASE)/lib/libsybdb.a

SUNLIBS = /opt/SUNWspro/lib/libM77.so.2 /opt/SUNWspro/lib/libF77.so.2 -lsunmath -ldl -lelf -lnsl -lm -lsocket



